## org.eclipse.m2m.atl.engine.vm.nativelib
Class ASMOclUndefined

    java.lang.Object
      org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject
          org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny
              org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclUndefined

    public class ASMOclUndefined

extends ASMOclAny

Field Summary
`static ASMOclType` `myType`

Fields inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject
`nativeImpl`

Constructor Summary
`ASMOclUndefined()`

Method Summary
`static ASMBag` `asBag(StackFrame frame, ASMOclAny self)`
`static ASMSequence` `asSequence(StackFrame frame, ASMOclAny self)`
`static ASMSet` `asSet(StackFrame frame, ASMOclAny self)`
`boolean` `equals(java.lang.Object o)`
`ASMOclAny` `get(StackFrame frame, java.lang.String name)`
`int` `hashCode()`
`static ASMBoolean` `oclIsUndefined(StackFrame frame, ASMOclUndefined self)`
`static ASMBoolean` `operatorEQ(StackFrame frame, ASMOclUndefined self, ASMOclAny o)`
`static ASMBoolean` `operatorNE(StackFrame frame, ASMOclUndefined self, ASMOclAny o)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny
`check, debug, findOperation, findOperation, getHelper, getNamedTargetFromSource, getOclAnyType, getType, invoke, invoke, invokeSuper, isHelper, oclIsKindOf, oclIsTypeOf, oclIsUndefined, oclType, operatorEQ, operatorNE, output, refGetValue, refImmediateComposite, refImmediateComposite, refInvokeOperation, refSetValue, refUnsetValue, set, setType, toString, unset`

Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject
`getNativeImpl`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### myType

    public static ASMOclType myType

Constructor Detail

### ASMOclUndefined

    public ASMOclUndefined()

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### get

    public ASMOclAny get(StackFrame frame,
                         java.lang.String name)

  Overrides:
    `get` in class `ASMOclAny`

### oclIsUndefined

    public static ASMBoolean oclIsUndefined(StackFrame frame,
                                            ASMOclUndefined self)

### operatorEQ

    public static ASMBoolean operatorEQ(StackFrame frame,
                                        ASMOclUndefined self,
                                        ASMOclAny o)

### operatorNE

    public static ASMBoolean operatorNE(StackFrame frame,
                                        ASMOclUndefined self,
                                        ASMOclAny o)

### asSequence

    public static ASMSequence asSequence(StackFrame frame,
                                         ASMOclAny self)

### asSet

    public static ASMSet asSet(StackFrame frame,
                               ASMOclAny self)

### asBag

    public static ASMBag asBag(StackFrame frame,
                               ASMOclAny self)

Copyright 2007 IBM Corporation and others. All Rights Reserved.